import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from '../../frame/BaseModel';
@modelOptions({
  schemaOptions: { collection: 'dictData' },
})
export class DictData extends BaseModel {
  @prop({
    required: false,
    index: false,
    zh: '字典类型编码',
    esType: 'keyword',
  })
  code: string;
  @prop({ required: false, index: false, zh: '数据显示值', esType: 'text' })
  label: string;
  @prop({ required: false, index: false, zh: '数据选择值', esType: 'keyword' })
  value: string;
  @prop({ required: false, index: false, zh: '排序', esType: 'number' })
  sort: number;
  @prop({
    required: false,
    index: false,
    zh: '是否使用',
    remark: '0:使用;1禁用',
    esType: 'keyword',
    default: '0',
  })
  is_use: string;
}
