import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from '../../frame/BaseModel';
@modelOptions({
  schemaOptions: { collection: 'menus' },
})
export class Menus extends BaseModel {
  @prop({ required: false, index: false, zh: '菜单名称', esType: 'text' })
  name: string;
  @prop({ required: false, index: false, zh: '路由名称', remark: '英文', esType: 'keyword' })
  route_name: string;
  @prop({ required: false, index: true, zh: '父级菜单', esType: 'keyword' })
  parent_id: string;
  @prop({ required: false, index: false, zh: '显示顺序', esType: 'number' })
  order_num: number;
  @prop({ required: false, index: false, zh: '路由地址', esType: 'text' })
  path: string;
  @prop({ required: false, index: false, zh: '组件地址', esType: 'text' })
  component: string;
  @prop({ required: false, index: true, zh: '菜单类型', remark: '0:目录;1:菜单;2:子页面', esType: 'keyword' })
  type: string;
  @prop({ required: false, index: false, zh: '图标', esType: null })
  icon: string;
  @prop({ required: false, index: false, zh: '功能列表', remark: '不在功能列表中的功能不能使用', esType: 'nested' })
  config: Array<any>;
  @prop({ required: false, index: false, zh: '是否默认', remark: '0:默认;1:非默认;默认不能删除', esType: 'keyword', default: '1' })
  is_default: string;
  @prop({ required: false, index: false, zh: '备注', esType: null })
  remark: string;
  @prop({ required: false, index: true, zh: '是否启用', remark: '0:启用;1', esType: 'keyword', default: '0' })
  is_use: string;
}
