import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from '../../frame/BaseModel';
@modelOptions({
  schemaOptions: { collection: 'role' },
})
export class Role extends BaseModel {
  @prop({ required: false, index: false, zh: '角色名称', esType: 'text' })
  name: string;
  @prop({ required: false, index: false, zh: '角色编码', esType: 'keyword' })
  code: string;
  @prop({ required: false, index: false, zh: '权限', remark: '菜单', esType: 'keyword' })
  menu: Array<any>;
  @prop({ required: false, index: false, zh: '简介', esType: null })
  brief: string;
  @prop({ required: false, index: false, zh: '是否使用', remark: '0:使用;1禁用', esType: 'keyword', default: '0' })
  is_use: string;
}
