import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';
import { Admin } from '../../entity/system/admin.entity';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { get } from 'lodash';
import { ServiceError } from '../../error/CustomerError.error';
import { ErrorCode } from '../../error/Codes';
type modelType = ReturnModelType<typeof Admin>;

@Provide()
export class AdminService extends BaseService<modelType> {
  @InjectEntityModel(Admin)
  model: ReturnModelType<modelType>;
  /**查重 */
  async checkInDB(data: object) {
    // account查重,虽然数据库有unique约束,但是尽量不触发,因为异常捕获不好解析
    const account = get(data, 'account');
    const num = await this.model.count({ account });
    if (num > 0) throw new ServiceError(ErrorCode.ACCOUNT_IS_EXISTS);
  }
}
